Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_FPDI.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_FPDI.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_FPDI.php	(revision 22796)
@@ -6,6 +6,5 @@
 $GLOBALS[SJIS_widths] = $SJIS_widths;
 
-class SC_Helper_FPDI extends PDF_Japanese 
-{
+class SC_Helper_FPDI extends PDF_Japanese {
     /**
      * PDF_Japanese の明朝フォントに加えゴシックフォントを追加定義
@@ -13,6 +12,5 @@
      * @return void
      */
-    function AddSJISFont()
-    {
+    function AddSJISFont() {
         parent::AddSJISFont();
         $cw = $GLOBALS['SJIS_widths'];
@@ -27,6 +25,5 @@
      * PDF_Japanese#SJISMultiCell をベースにカスタマイズ。
      */
-    function SJISMultiCellForFancyTable($w, $h, $txt, $border = 0, $align = 'L', $fill = 0)
-    {
+    function SJISMultiCellForFancyTable($w, $h, $txt, $border = 0, $align = 'L', $fill = 0) {
         $y = $this->y;
 
@@ -148,6 +145,5 @@
      * FIXME: 後の列の高さが大きい場合、表示が乱れる。
      */
-    function FancyTable($header, $data, $w)
-    {
+    function FancyTable($header, $data, $w) {
         // Colors, line width and bold font
         $this->SetFillColor(216, 216, 216);
@@ -190,17 +186,14 @@
     }
 
-    function Text($x, $y, $txt)
-    {
+    function Text($x, $y, $txt) {
         parent::Text($x, $y, $this->lfConvSjis($txt));
     }
 
-    function Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')
-    {
+    function Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='') {
         parent::Cell($w, $h, $this->lfConvSjis($txt), $border, $ln, $align, $fill, $link);
     }
 
     // 文字コードSJIS変換 -> japanese.phpで使用出来る文字コードはSJIS-winのみ
-    function lfConvSjis($conv_str)
-    {
+    function lfConvSjis($conv_str) {
         return mb_convert_encoding($conv_str, 'SJIS-win', CHAR_CODE);
     }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 22584)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_Helper_Mail 
-{
+class SC_Helper_Mail {
 
     /** メールテンプレートのパス */
@@ -45,6 +44,5 @@
      * コンストラクタ.
      */
-    function __construct()
-    {
+    function __construct() {
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrMAILTPLPATH =  $masterData->getMasterData('mtb_mail_tpl_path');
@@ -57,6 +55,5 @@
      * @param LC_Page $objPage
      */
-    function setPage(LC_Page $objPage)
-    {
+    function setPage(LC_Page $objPage) {
         $this->objPage = $objPage;
     }
@@ -67,19 +64,18 @@
      * @return LC_Page
      */
-    function getPage()
-    {
+    function getPage() {
         return $this->objPage;
     }
 
     /* DBに登録されたテンプレートメールの送信 */
-    function sfSendTemplateMail($to, $to_name, $template_id, &$objPage, $from_address = '', $from_name = '', $reply_to = '', $bcc = '')
-    {
-
+    function sfSendTemplateMail($to, $to_name, $template_id, &$objPage, $from_address = '', $from_name = '', $reply_to = '', $bcc = '') {
+
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         // メールテンプレート情報の取得
-        $objMailtemplate = new SC_Helper_Mailtemplate_Ex();
-        $mailtemplate = $objMailtemplate->get($template_id);
-        $objPage->tpl_header = $mailtemplate['header'];
-        $objPage->tpl_footer = $mailtemplate['footer'];
-        $tmp_subject = $mailtemplate['subject'];
+        $where = 'template_id = ?';
+        $arrRet = $objQuery->select('subject, header, footer', 'dtb_mailtemplate', $where, array($template_id));
+        $objPage->tpl_header = $arrRet[0]['header'];
+        $objPage->tpl_footer = $arrRet[0]['footer'];
+        $tmp_subject = $arrRet[0]['subject'];
 
         $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
@@ -105,6 +101,5 @@
 
     /* 受注完了メール送信 */
-    function sfSendOrderMail($order_id, $template_id, $subject = '', $header = '', $footer = '', $send = true)
-    {
+    function sfSendOrderMail($order_id, $template_id, $subject = '', $header = '', $footer = '', $send = true) {
 
         $arrTplVar = new stdClass();
@@ -116,9 +111,9 @@
         if ($subject == '' && $header == '' && $footer == '') {
             // メールテンプレート情報の取得
-            $objMailtemplate = new SC_Helper_Mailtemplate_Ex();
-            $mailtemplate = $objMailtemplate->get($template_id);
-            $arrTplVar->tpl_header = $mailtemplate['header'];
-            $arrTplVar->tpl_footer = $mailtemplate['footer'];
-            $tmp_subject = $mailtemplate['subject'];
+            $where = 'template_id = ?';
+            $arrRet = $objQuery->select('subject, header, footer', 'dtb_mailtemplate', $where, array($template_id));
+            $arrTplVar->tpl_header = $arrRet[0]['header'];
+            $arrTplVar->tpl_footer = $arrRet[0]['footer'];
+            $tmp_subject = $arrRet[0]['subject'];
         } else {
             $arrTplVar->tpl_header = $header;
@@ -218,6 +213,5 @@
 
     // テンプレートを使用したメールの送信
-    function sfSendTplMail($to, $tmp_subject, $tplpath, &$objPage)
-    {
+    function sfSendTplMail($to, $tmp_subject, $tplpath, &$objPage) {
         $objMailView = new SC_SiteView_Ex();
         $objMailView->setPage($this->getPage());
@@ -240,6 +234,5 @@
 
     // 通常のメール送信
-    function sfSendMail($to, $tmp_subject, $body)
-    {
+    function sfSendMail($to, $tmp_subject, $body) {
         $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         // メール送信処理
@@ -255,6 +248,5 @@
 
     //件名にテンプレートを用いる
-    function sfMakeSubject($subject, &$objMailView)
-    {
+    function sfMakeSubject($subject, &$objMailView) {
         if (empty($objMailView)) {
             $objMailView = new SC_SiteView_Ex();
@@ -275,6 +267,5 @@
 
     // メール配信履歴への登録
-    function sfSaveMailHistory($order_id, $template_id, $subject, $body)
-    {
+    function sfSaveMailHistory($order_id, $template_id, $subject, $body) {
         $sqlval = array();
         $sqlval['subject'] = $subject;
@@ -296,6 +287,5 @@
 
     /* 会員登録があるかどうかのチェック(仮会員を含まない) */
-    function sfCheckCustomerMailMaga($email)
-    {
+    function sfCheckCustomerMailMaga($email) {
         $col = 'email, mailmaga_flg, customer_id';
         $from = 'dtb_customer';
@@ -318,6 +308,5 @@
      * @return boolean true:成功 false:失敗
      */
-    function sfSendRegistMail($secret_key, $customer_id = '', $is_mobile = false)
-    {
+    function sfSendRegistMail($secret_key, $customer_id = '', $is_mobile = false) {
         // 会員データの取得
         if (SC_Utils_Ex::sfIsInt($customer_id)) {
@@ -382,6 +371,5 @@
      * @todo   表示順も引数で変更できるように
      */
-    function sfGetMailmagaTemplate($template_id = null)
-    {
+    function sfGetMailmagaTemplate($template_id = null) {
         // 初期化
         $where = '';
@@ -409,6 +397,5 @@
      * @return　array 送信履歴情報を格納した配列
      */
-    function sfGetSendHistory($send_id = null)
-    {
+    function sfGetSendHistory($send_id = null) {
         // 初期化
         $where = '';
@@ -438,6 +425,5 @@
      * @return　void
      */
-    function sfSendMailmagazine($send_id)
-    {
+    function sfSendMailmagazine($send_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php	(revision 22796)
@@ -13,6 +13,5 @@
  * @version $Id$
  */
-class SC_Helper_Session 
-{
+class SC_Helper_Session {
 
     var $objDb;
@@ -26,6 +25,5 @@
      * 各関数をセッションハンドラに保存する
      */
-    function __construct()
-    {
+    function __construct() {
         $this->objDb = new SC_Helper_DB_Ex();
         session_set_save_handler(array(&$this, 'sfSessOpen'),
@@ -51,6 +49,5 @@
      * @return bool セッションが正常に開始された場合 true
      */
-    function sfSessOpen($save_path, $session_name)
-    {
+    function sfSessOpen($save_path, $session_name) {
         return true;
     }
@@ -61,6 +58,5 @@
      * @return bool セッションが正常に終了した場合 true
      */
-    function sfSessClose()
-    {
+    function sfSessClose() {
         return true;
     }
@@ -72,6 +68,5 @@
      * @return string セッションデータの値
      */
-    function sfSessRead($id)
-    {
+    function sfSessRead($id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->select('sess_data', 'dtb_session', 'sess_id = ?', array($id));
@@ -90,6 +85,5 @@
      * @return bool セッションの書き込みに成功した場合 true
      */
-    function sfSessWrite($id, $sess_data)
-    {
+    function sfSessWrite($id, $sess_data) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $exists = $objQuery->exists('dtb_session', 'sess_id = ?', array($id));
@@ -121,6 +115,5 @@
      * @return bool セッションを正常に破棄した場合 true
      */
-    function sfSessDestroy($id)
-    {
+    function sfSessDestroy($id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->delete('dtb_session', 'sess_id = ?', array($id));
@@ -135,6 +128,5 @@
      * @param integer $maxlifetime セッションの有効期限(使用しない)
      */
-    function sfSessGc($maxlifetime)
-    {
+    function sfSessGc($maxlifetime) {
         // MAX_LIFETIME以上更新されていないセッションを削除する。
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -162,6 +154,5 @@
      * @return string トランザクショントークンの文字列
      */
-    function getToken()
-    {
+    function getToken() {
         if (empty($_SESSION[TRANSACTION_ID_NAME])) {
             $_SESSION[TRANSACTION_ID_NAME] = SC_Helper_Session_Ex::createToken();
@@ -176,6 +167,5 @@
      * @return string トランザクショントークン用の文字列
      */
-    function createToken()
-    {
+    function createToken() {
         return sha1(uniqid(rand(), true));
     }
@@ -199,6 +189,5 @@
      * @return boolean トランザクショントークンが有効な場合 true
      */
-    function isValidToken($is_unset = false)
-    {
+    function isValidToken($is_unset = false) {
         // token の妥当性チェック
         $ret = $_REQUEST[TRANSACTION_ID_NAME] === $_SESSION[TRANSACTION_ID_NAME];
@@ -215,6 +204,5 @@
      * @return void
      */
-    function destroyToken()
-    {
+    function destroyToken() {
         unset($_SESSION[TRANSACTION_ID_NAME]);
     }
@@ -227,6 +215,5 @@
      * @return void
      */
-    function adminAuthorization()
-    {
+    function adminAuthorization() {
         $masterData = new SC_DB_MasterData_Ex();
         $arrExcludes = $masterData->getMasterData('mtb_auth_excludes');
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22796)
@@ -37,6 +37,5 @@
      * @return array()
      */
-    function registAddress($sqlval)
-    {
+    function save($sqlval) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $customer_id = $sqlval['customer_id'];
@@ -78,6 +77,5 @@
      * @return array()
      */
-    function getAddress($other_deliv_id)
-    {
+    function get($other_deliv_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $address = $objQuery->select('*', 'dtb_other_deliv', 'other_deliv_id = ?', array($other_deliv_id));
@@ -92,6 +90,5 @@
      * @return array
      */
-    function getList($customer_id, $startno = '')
-    {
+    function getList($customer_id, $startno = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('other_deliv_id DESC');
@@ -109,6 +106,5 @@
      * @return void
      */
-    function deleteAddress($other_deliv_id)
-    {
+    function delete($other_deliv_id) {
         $where      = 'other_deliv_id = ?';
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
@@ -122,6 +118,5 @@
      * @return void
      */
-    function setFormParam(&$objFormParam)
-    {
+    function setFormParam(&$objFormParam) {
         SC_Helper_Customer_Ex::sfCustomerCommonParam($objFormParam);
         $objFormParam->addParam('', 'other_deliv_id');
@@ -134,6 +129,5 @@
      * @return void
      */
-    function errorCheck(&$objFormParam)
-    {
+    function errorCheck(&$objFormParam) {
         $objErr = SC_Helper_Customer_Ex::sfCustomerCommonErrorCheck($objFormParam);
         return $objErr->arrErr;
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22595)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id:SC_Helper_DB.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_Helper_DB 
-{
+class SC_Helper_DB {
 
     // {{{ properties
@@ -65,6 +64,5 @@
      *               引数 $add == false でカラムが存在しない場合 false
      */
-    function sfColumnExists($table_name, $col_name, $col_type = '', $dsn = '', $add = false)
-    {
+    function sfColumnExists($table_name, $col_name, $col_type = '', $dsn = '', $add = false) {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $dsn = $dbFactory->getDSN($dsn);
@@ -104,6 +102,5 @@
      *               $add == false で, データが存在しない場合 false
      */
-    function sfDataExists($table_name, $where, $arrWhereVal, $dsn = '', $sql = '', $add = false)
-    {
+    function sfDataExists($table_name, $where, $arrWhereVal, $dsn = '', $sql = '', $add = false) {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $dsn = $dbFactory->getDSN($dsn);
@@ -134,6 +131,5 @@
      * @return array 店舗基本情報の配列
      */
-    function sfGetBasisData($force = false, $col = '')
-    {
+    function sfGetBasisData($force = false, $col = '') {
         static $data = array();
 
@@ -157,71 +153,4 @@
 
     /**
-     * 基本情報のキャッシュデータを取得する
-     *
-     * @param boolean $generate キャッシュファイルが無い時、DBのデータを基にキャッシュを生成するか
-     * @return array 店舗基本情報の配列
-     */
-    function sfGetBasisDataCache($generate = false)
-    {
-        // テーブル名
-        $name = 'dtb_baseinfo';
-        // キャッシュファイルパス
-        $filepath = MASTER_DATA_REALDIR . $name . '.serial';
-        // ファイル存在確認
-        if (!file_exists($filepath) && $generate) {
-            // 存在していなければキャッシュ生成
-            $this->sfCreateBasisDataCache();
-        }
-        // 戻り値初期化
-        $cacheData = array();
-        // キャッシュファイルが存在すれば読み込む
-        if (file_exists($filepath)) {
-            // キャッシュデータファイルを読み込みアンシリアライズした配列を取得
-            $cacheData = unserialize(file_get_contents($filepath));
-        }
-        // return
-        return $cacheData;
-    }
-
-    /**
-     * 基本情報のキャッシュデータファイルを生成する
-     * データはsfGetBasisDataより取得。
-     * 
-     * このメソッドが直接呼ばれるのは、
-     *「基本情報管理＞SHOPマスター」の更新完了後。
-     * sfGetBasisDataCacheでは、
-     * キャッシュデータファイルが無い場合に呼ばれます。
-     *
-     * @return bool キャッシュデータファイル生成結果
-     */
-    function sfCreateBasisDataCache()
-    {
-        // テーブル名
-        $name = 'dtb_baseinfo';
-        // キャッシュファイルパス
-        $filepath = MASTER_DATA_REALDIR . $name . '.serial';
-        // データ取得
-        $arrData = $this->sfGetBasisData(true);
-        // シリアライズ
-        $data = serialize($arrData);
-        // ファイルを書き出しモードで開く
-        $handle = fopen($filepath, 'w');
-        if (!$handle) {
-            // ファイル生成失敗
-            return false;
-        }
-        // ファイルの内容を書き出す.
-        $res = fwrite($handle, $data);
-        // ファイルを閉じる
-        fclose($handle);
-        if ( $res === false) {
-            // ファイル生成失敗
-            return false;
-        }
-        // ファイル生成成功
-        return true;
-    }
-
-    /**
      * 基本情報の登録数を取得する
      *
@@ -229,6 +158,5 @@
      * @deprecated
      */
-    function sfGetBasisCount()
-    {
+    function sfGetBasisCount() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -241,6 +169,5 @@
      * @return boolean 有無
      */
-    function sfGetBasisExists()
-    {
+    function sfGetBasisExists() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -249,6 +176,5 @@
 
     /* 選択中のアイテムのルートカテゴリIDを取得する */
-    function sfGetRootId()
-    {
+    function sfGetRootId() {
 
         if (!$this->g_root_on) {
@@ -286,6 +212,5 @@
      * @return array オーダー前ポイントの配列
      */
-    function sfGetRollbackPoint($order_id, $use_point, $add_point, $order_status)
-    {
+    function sfGetRollbackPoint($order_id, $use_point, $add_point, $order_status) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->select('customer_id', 'dtb_order', 'order_id = ?', array($order_id));
@@ -319,6 +244,5 @@
      * @return array カテゴリツリーの配列
      */
-    function sfGetCatTree($parent_category_id, $count_check = false)
-    {
+    function sfGetCatTree($parent_category_id, $count_check = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '';
@@ -343,5 +267,5 @@
         $arrRet = $objQuery->select($col, $from, $where);
 
-        $arrParentID = SC_Utils_Ex::getTreeTrail($parent_category_id, 'category_id', 'parent_category_id', $arrRet);
+        $arrParentID = SC_Helper_DB_Ex::sfGetParents('dtb_category', 'parent_category_id', 'category_id', $parent_category_id);
 
         foreach ($arrRet as $key => $array) {
@@ -366,6 +290,5 @@
      * @see sfGetCatTree()
      */
-    function findTree(&$arrTree, $parent, &$result)
-    {
+    function findTree(&$arrTree, $parent, &$result) {
         if ($result[count($result) - 1]['parent_category_id'] === 0) {
             return;
@@ -391,6 +314,5 @@
      * @return array カテゴリツリーの配列
      */
-    function sfGetMultiCatTree($product_id, $count_check = false)
-    {
+    function sfGetMultiCatTree($product_id, $count_check = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '';
@@ -440,6 +362,5 @@
      * @return string 親カテゴリを連結した文字列
      */
-    function sfGetCatCombName($category_id)
-    {
+    function sfGetCatCombName($category_id) {
         // 商品が属するカテゴリIDを縦に取得
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -461,4 +382,20 @@
 
     /**
+     * 指定したカテゴリIDのカテゴリを取得する.
+     *
+     * @param integer $category_id カテゴリID
+     * @return array 指定したカテゴリIDのカテゴリ
+     */
+    function sfGetCat($category_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // カテゴリを取得する
+        $arrVal = array($category_id);
+        $res = $objQuery->select('category_id AS id, category_name AS name', 'dtb_category', 'category_id = ?', $arrVal);
+
+        return $res[0];
+    }
+
+    /**
      * 指定したカテゴリIDの大カテゴリを取得する.
      *
@@ -466,6 +403,5 @@
      * @return array 指定したカテゴリIDの大カテゴリ
      */
-    function sfGetFirstCat($category_id)
-    {
+    function sfGetFirstCat($category_id) {
         // 商品が属するカテゴリIDを縦に取得
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -492,6 +428,5 @@
      * @return array カテゴリツリーの配列
      */
-    function sfGetCategoryList($addwhere = '', $products_check = false, $head = CATEGORY_HEAD)
-    {
+    function sfGetCategoryList($addwhere = '', $products_check = false, $head = CATEGORY_HEAD) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'del_flg = 0';
@@ -532,6 +467,5 @@
      * @return array カテゴリツリーの配列
      */
-    function sfGetLevelCatList($parent_zero = true)
-    {
+    function sfGetLevelCatList($parent_zero = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -582,6 +516,5 @@
      *
      */
-    function sfGetCategoryId($product_id, $category_id = 0, $closed = false)
-    {
+    function sfGetCategoryId($product_id, $category_id = 0, $closed = false) {
         if ($closed) {
             $status = '';
@@ -610,6 +543,5 @@
      * @return void
      */
-    function addProductBeforCategories($category_id, $product_id)
-    {
+    function addProductBeforCategories($category_id, $product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -632,6 +564,5 @@
      * @return void
      */
-    function addProductAfterCategories($category_id, $product_id)
-    {
+    function addProductAfterCategories($category_id, $product_id) {
         $sqlval = array('category_id' => $category_id,
                         'product_id' => $product_id);
@@ -665,6 +596,5 @@
      * @return void
      */
-    function removeProductByCategories($category_id, $product_id)
-    {
+    function removeProductByCategories($category_id, $product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->delete('dtb_product_categories',
@@ -679,6 +609,5 @@
      * @return void
      */
-    function updateProductCategories($arrCategory_id, $product_id)
-    {
+    function updateProductCategories($arrCategory_id, $product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -713,6 +642,5 @@
      * @return void
      */
-    function sfCountCategory($objQuery = NULL, $is_force_all_count = false)
-    {
+    function sfCountCategory($objQuery = NULL, $is_force_all_count = false) {
         $objProduct = new SC_Product_Ex();
 
@@ -891,6 +819,5 @@
      * @param array 子ID の配列
      */
-    function sfGetChildsID($table, $pid_name, $id_name, $id)
-    {
+    function sfGetChildsID($table, $pid_name, $id_name, $id) {
         $arrRet = $this->sfGetChildrenArray($table, $pid_name, $id_name, $id);
         return $arrRet;
@@ -906,6 +833,5 @@
      * @return array 子IDの配列
      */
-    function sfGetChildrenArray($table, $pid_name, $id_name, $id)
-    {
+    function sfGetChildrenArray($table, $pid_name, $id_name, $id) {
         $arrChildren = array();
         $arrRet = array($id);
@@ -928,6 +854,5 @@
      * @return array 子IDの配列
      */
-    function sfGetChildrenArraySub($table, $pid_name, $id_name, $arrPID)
-    {
+    function sfGetChildrenArraySub($table, $pid_name, $id_name, $arrPID) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -949,6 +874,5 @@
      * @return array 親IDの配列
      */
-    function sfGetParents($table, $pid_name, $id_name, $id)
-    {
+    function sfGetParents($table, $pid_name, $id_name, $id) {
         $arrRet = SC_Helper_DB_Ex::sfGetParentsArray($table, $pid_name, $id_name, $id);
         return $arrRet;
@@ -964,6 +888,5 @@
      * @return array 親IDの配列
      */
-    function sfGetParentsArray($table, $pid_name, $id_name, $id)
-    {
+    function sfGetParentsArray($table, $pid_name, $id_name, $id) {
         $arrParents = array();
         $ret = $id;
@@ -980,6 +903,5 @@
 
     /* 子ID所属する親IDを取得する */
-    function sfGetParentsArraySub($table, $pid_name, $id_name, $child)
-    {
+    function sfGetParentsArraySub($table, $pid_name, $id_name, $child) {
         if (SC_Utils_Ex::isBlank($child)) {
             return false;
@@ -999,6 +921,5 @@
      * @return array 商品を検索する場合の配列
      */
-    function sfGetCatWhere($category_id)
-    {
+    function sfGetCatWhere($category_id) {
         // 子カテゴリIDの取得
         $arrRet = SC_Helper_DB_Ex::sfGetChildrenArray('dtb_category', 'parent_category_id', 'category_id', $category_id);
@@ -1019,6 +940,5 @@
      * @return array SELECT ボックス用リストの配列
      */
-    function sfGetIDValueList($table, $keyname, $valname, $where = '', $arrVal = array())
-    {
+    function sfGetIDValueList($table, $keyname, $valname, $where = '', $arrVal = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = "$keyname, $valname";
@@ -1045,6 +965,5 @@
      * @return void
      */
-    function sfRankUp($table, $colname, $id, $andwhere = '')
-    {
+    function sfRankUp($table, $colname, $id, $andwhere = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
@@ -1097,6 +1016,5 @@
      * @return void
      */
-    function sfRankDown($table, $colname, $id, $andwhere = '')
-    {
+    function sfRankDown($table, $colname, $id, $andwhere = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
@@ -1149,6 +1067,5 @@
      * @return void
      */
-    function sfMoveRank($tableName, $keyIdColumn, $keyId, $pos, $where = '')
-    {
+    function sfMoveRank($tableName, $keyIdColumn, $keyId, $pos, $where = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
@@ -1277,6 +1194,5 @@
      * @return array 特定のカラムの配列
      */
-    function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId)
-    {
+    function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId) {
         $col = $col_name;
         $len = count($arrId);
@@ -1310,6 +1226,5 @@
      * @return void
      */
-    function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id)
-    {
+    function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id) {
         if ($old_catid == $new_catid) {
             return;
@@ -1350,6 +1265,5 @@
      * @return bool レコードが存在する場合 true
      */
-    function sfIsRecord($table, $col, $arrVal, $addwhere = '')
-    {
+    function sfIsRecord($table, $col, $arrVal, $addwhere = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrCol = preg_split('/[, ]/', $col);
@@ -1384,6 +1298,5 @@
      * @return void
      */
-    function sfCountMaker($objQuery)
-    {
+    function sfCountMaker($objQuery) {
         $sql = '';
 
@@ -1409,6 +1322,5 @@
      *
      */
-    function sfGetMakerId($product_id, $maker_id = 0, $closed = false)
-    {
+    function sfGetMakerId($product_id, $maker_id = 0, $closed = false) {
         if ($closed) {
             $status = '';
@@ -1444,6 +1356,5 @@
      * @return array カテゴリツリーの配列
      */
-    function sfGetMakerList($addwhere = '', $products_check = false)
-    {
+    function sfGetMakerList($addwhere = '', $products_check = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'del_flg = 0';
@@ -1482,6 +1393,5 @@
      * @return integer 税金額
      */
-    function sfTax($price)
-    {
+    function sfTax($price) {
         // 店舗基本情報を取得
         $CONF = SC_Helper_DB_Ex::sfGetBasisData();
@@ -1497,12 +1407,9 @@
      * @return integer 税金付与した金額
      */
-    function sfCalcIncTax($price, $tax = null, $tax_rule = null)
-    {
+    function sfCalcIncTax($price, $tax = null, $tax_rule = null) {
         // 店舗基本情報を取得
         $CONF = SC_Helper_DB_Ex::sfGetBasisData();
-        $tax      = $tax      === null ? $CONF['tax']      : $tax;
-        $tax_rule = $tax_rule === null ? $CONF['tax_rule'] : $tax_rule;
-
-        return SC_Utils_Ex::sfCalcIncTax($price, $tax, $tax_rule);
+
+        return SC_Utils_Ex::sfCalcIncTax($price, $CONF['tax'], $CONF['tax_rule']);
     }
 
@@ -1514,6 +1421,5 @@
      * @return integer 加算ポイント
      */
-    function sfGetAddPoint($totalpoint, $use_point)
-    {
+    function sfGetAddPoint($totalpoint, $use_point) {
         // 店舗基本情報を取得
         $CONF = SC_Helper_DB_Ex::sfGetBasisData();
@@ -1530,6 +1436,5 @@
      * @return void
      */
-    function sfExecSqlByFile($sqlFilePath)
-    {
+    function sfExecSqlByFile($sqlFilePath) {
         if (file_exists($sqlFilePath)) {
             $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1552,6 +1457,5 @@
      * @return bool 商品規格が存在する場合:true, それ以外:false
      */
-    function sfHasProductClass($product_id)
-    {
+    function sfHasProductClass($product_id) {
         if (!SC_Utils_Ex::sfIsInt($product_id)) return false;
 
@@ -1562,49 +1466,3 @@
         return $exists;
     }
-
-    /**
-     * 店舗基本情報を登録する
-     *
-     * @param array $arrData 登録するデータ
-     * @return void
-     */
-    static function registerBasisData($arrData)
-    {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
-        $arrData = $objQuery->extractOnlyColsOf('dtb_baseinfo', $arrData);
-
-        if (isset($arrData['regular_holiday_ids']) && is_array($arrData['regular_holiday_ids'])) {
-            // 定休日をパイプ区切りの文字列に変換
-            $arrData['regular_holiday_ids'] = implode('|', $arrData['regular_holiday_ids']);
-        }
-
-        $arrData['update_date'] = 'CURRENT_TIMESTAMP';
-
-        // UPDATEの実行
-        $ret = $objQuery->update('dtb_baseinfo', $arrData);
-        GC_Utils_Ex::gfPrintLog('dtb_baseinfo に UPDATE を実行しました。');
-
-        // UPDATE できなかった場合、INSERT
-        if ($ret == 0) {
-            $arrData['id'] = 1;
-            $ret = $objQuery->insert('dtb_baseinfo', $arrData);
-            GC_Utils_Ex::gfPrintLog('dtb_baseinfo に INSERT を実行しました。');
-        }
-    }
-
-    /**
-     * レコード件数を計算.
-     * 
-     * @param string $table
-     * @param string $where
-     * @param array $arrval
-     * @return integer レコード件数
-     */
-    public function countRecords($table, $where = '', $arrval = array())
-    {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'COUNT(*)';
-        return $objQuery->get($col, $table, $where, $arrval);
-    }
 }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_HandleError.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_HandleError.php	(revision 22592)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_HandleError.php	(revision 22796)
@@ -30,6 +30,5 @@
  * @version $Id$
  */
-class SC_Helper_HandleError 
-{
+class SC_Helper_HandleError {
 
     /**
@@ -38,6 +37,5 @@
      * @return void
      */
-    static function load()
-    {
+    static function load() {
         // E_DEPRECATED 定数 (for PHP < 5.3)
         // TODO バージョン互換処理に統合したい。
@@ -85,6 +83,5 @@
      *                      E_WARNING, E_USER_WARNING が発生した場合、true を返す
      */
-    static function handle_warning($errno, $errstr, $errfile, $errline)
-    {
+    static function handle_warning($errno, $errstr, $errfile, $errline) {
         // error_reporting 設定に含まれていないエラーコードは処理しない
         if (!(error_reporting() & $errno)) {
@@ -129,7 +126,6 @@
      *                     エラーが捕捉されない場合は, 出力バッファリングの内容を返す
      */
-    static function &_fatal_error_handler(&$buffer)
-    {
-        if (preg_match('/<b>(Fatal error)<\/b>: +(.+) in <b>(.+)<\/b> on line <b>(\d+)<\/b><br \/>/i', $buffer, $matches)) {
+    static function &_fatal_error_handler(&$buffer) {
+        if (preg_match('/<b>(Fatal error)<\/b>: +(.+) in <b>(.+)<\/b> on line <b>(\d+)<\/b><br \/>/i', $buffer, $matches = array())) {
             $message = "$matches[1]: $matches[2] on [$matches[3]($matches[4])]";
             GC_Utils_Ex::gfPrintLog($message, ERROR_LOG_REALFILE, true);
@@ -154,6 +150,5 @@
      * @return void
      */
-    static function handle_error()
-    {
+    static function handle_error() {
         // 最後のエラーを確実に捉えるため、先頭で呼び出す。
         $arrError = error_get_last();
@@ -192,6 +187,5 @@
      * @return void
      */
-    static function displaySystemError($errstr = null)
-    {
+    static function displaySystemError($errstr = null) {
         ob_clean();
 
